<!DOCTYPE html>  
<html lang="en">  
<head>  
<meta charset="UTF-8">  
<meta name="viewport" content="width=device-width, initial-scale=1.0">  
<title>Hover Button Example</title>  
<style>  
    body, html {  
        height: 100%;  
        margin: 0;  
        overflow: hidden;  
        display: flex;  
        align-items: center;  
        justify-content: center;  
        font-family: Arial, sans-serif;  
    }  
  
    #errorButton {  
        padding: 10px 20px;  
        background-color: #f44336;  
        color: white;  
        border: none;  
        cursor: pointer;  
        position: relative;  
    }  
  
    #overlay {  
        position: absolute;  
        top: 0;  
        left: 0;  
        width: 100%;  
        height: 100%;  
        display: flex;  
        align-items: center;  
        justify-content: center;  
        pointer-events: none;  
        opacity: 0;  
        transition: opacity 0.5s ease;  
    }  
  
    #overlay.show {  
        opacity: 1;  
    }  
  
    #overlay p {  
        font-size: 24px;  
        white-space: nowrap;  
        animation: scrollText 5s linear infinite;  
    }  
  
    @keyframes scrollText {  
        0% { transform: translateX(100%); }  
        100% { transform: translateX(-100%); }  
    }  
</style>  
</head>  


<body>  
  
<button id="errorButton">Error</button>  
  
<div id="overlay">  
    <p id="scrollText"></p>  
</div>  
  
<script>  
    const errorButton = document.getElementById('errorButton');  
    const overlay = document.getElementById('overlay');  
    const scrollText = document.getElementById('scrollText');  
  
    // 填充滚动文字  
    for (let i = 0; i < 100; i++) {  
        scrollText.innerHTML += '哈巴狗 哈巴马 马 ';  
    }  
  
    errorButton.addEventListener('mouseover', function() {  
        overlay.classList.add('show');  
    });  
  
    errorButton.addEventListener('mouseout', function() {  
        overlay.classList.remove('show');  
    });  
</script>  
  
</body>  
</html>